#ifndef __UTILS_H__
#define __UTILS_H__

#include <notcurses/notcurses.h>

#include <memory.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>


typedef unsigned int uint;

#define allocm(type, name) type * name = (type *)malloc(sizeof(type) + 1); memset(name, 0, sizeof(type))

struct string {
  char *s;
  uint length;
};

struct string *int_string(uint n);
struct string *alloc_string(uint l);
void free_string(struct string *s);
struct ncplane *create_plane(struct notcurses *nc, char *name, uint cols, uint rows, uint y, uint x, uint flags);

#endif
